#ifndef _READER_HTMLDTD_H
#define _READER_HTMLDTD_H
/*
		HTML PLUS DTD - SOFTWARE INTERFACE
		(c) COPYRIGHT MIT 1995.
		Please first read the full copyright statement in the file COPYRIGHT.

	SGML purists should excuse the use of the term "DTD" in this file to
	represent DTD-related information which is not exactly a DTD itself. The C
	modular structure doesn't work very well here, as the dtd is partly in the
	.h and partly in the .c which are not very independent. Tant pis! There are
	a couple of HTML-specific utility routines also defined.
   
	This module is a part of the W3C Reference Library.

	adjusted for use in ProWesS reader
	by Joachim Van der Auwera
	for PROGS, Professional & Graphical Software
	started 16 November 1995
	11.12.1995 reduced to minimal version
*/

#include "SGML_h"

/* Entity numbers */
/* The entity names are defined in the C file.	This gives the number of them. */

#define HTML_ENTITIES 100
   
/* Element Numbers */
/* Must Match all tables by element!  These include tables in HTMLdtd_c and */
/* code in HTM_c. */
   
/* Differences from Internet Draft 00: HTML, H7,PLAINTEXT LISTING and XMP left in. */

typedef enum _HTMLElement {
		HTML_A,
		HTML_ADDRESS,
		HTML_B,
		HTML_BLOCKQUOTE,
		HTML_BQ,
		HTML_BR,
		HTML_CITE,
		HTML_CODE,
		HTML_COMMENT,
		HTML_DD,
		HTML_DIR,
		HTML_DL,
		HTML_DT,
		HTML_EM,
		HTML_H1,
		HTML_H2,
		HTML_H3,
		HTML_H4,
		HTML_H5,
		HTML_H6,
		HTML_H7,
		HTML_HR,
		HTML_I,
		HTML_IMG,
		HTML_KBD,
		HTML_LH,
		HTML_LI,
		HTML_LISTING,
		HTML_MENU,
		HTML_OL,
		HTML_P,
		HTML_PLAINTEXT,
		HTML_PRE,
		HTML_SAMP,
		HTML_STRONG,
		HTML_TITLE,
		HTML_TT,
		HTML_UL,
		HTML_VAR,
		HTML_XMP }
HTMLElement;

#define HTML_ELEMENTS 40

/* Attribute numbers */
/* Identifier is HTML_<element>_<attribute>. */
/* These must match the tables in HTMLdtd_c ! */

#define HTML_A_HREF 				0
#define HTML_A_ID					1
#define HTML_A_NAME 				2
#define HTML_A_PRINT				3
#define HTML_A_REL					4
#define HTML_A_REV					5
#define HTML_A_ATTRIBUTES			6

#define HTML_IMG_ALT				0
#define HTML_IMG_HEIGHT 			1
#define HTML_IMG_SRC				2
#define HTML_IMG_UNITS				3
#define HTML_IMG_WIDTH				4
#define HTML_IMG_ATTRIBUTES 		5

extern const SGML_dtd HTML_dtd;

#endif _READER_HTMLDTD_H
