/*
	ProWesS reader - a HTML file browser

	PROforma, PROGS Font & Raster Manager
	ProWesS, PROGS Windowing System

	(c) PROGS, Professional & Graphical Software
	written by Joachim Van der Auwera
	started 28 November 1995
*/

#include "mem_h"
#include "str_h"
#include "style_h"

extern short StyleBodyFontSize;
extern char StyleFontRoman[];
extern char StyleFontBold[];
extern char StyleFontItalic[];
extern char StyleFontBoldItalic[];
extern char StyleFontTypeWriter[];
extern short StylePIndentation;
extern short StylePDistance;
extern char StyleH1Font;
extern short StyleH1FontSize;
extern short StyleH1SpaceAbove;
extern short StyleH1SpaceBelow;
extern short StyleH1Indentation;
extern char StyleH2Font;
extern short StyleH2FontSize;
extern short StyleH2SpaceAbove;
extern short StyleH2SpaceBelow;
extern short StyleH2Indentation;
extern char StyleH3Font;
extern short StyleH3FontSize;
extern short StyleH3SpaceAbove;
extern short StyleH3SpaceBelow;
extern short StyleH3Indentation;
extern char StyleH4Font;
extern short StyleH4FontSize;
extern short StyleH4SpaceAbove;
extern short StyleH4SpaceBelow;
extern short StyleH4Indentation;
extern char StyleH5Font;
extern short StyleH5FontSize;
extern short StyleH5SpaceAbove;
extern short StyleH5SpaceBelow;
extern short StyleH5Indentation;
extern char StyleH6Font;
extern short StyleH6FontSize;
extern short StyleH6SpaceAbove;
extern short StyleH6SpaceBelow;
extern short StyleH6Indentation;
extern char StyleH7Font;
extern short StyleH7FontSize;
extern short StyleH7SpaceAbove;
extern short StyleH7SpaceBelow;
extern short StyleH7Indentation;
extern char StyleBQFont;
extern short StyleBQMarginLeft;
extern short StyleBQMarginRight;
extern char StyleBullet[];
extern char StyleLHFont;
extern short StyleLHFontSize;
extern char StyleDLTermFont;
extern short StyleDLSpacingH;
extern short StyleDLSpacingV;
extern short StyleDLIndentation;
extern short StyleLineSpace;
extern short StyleLineThickness;

StyleCreate(Style **ret)
{
	Error err;
	Style *style;

	err=MEMAllocate(sizeof(Style), &style);
	if (err) return err;

	*ret=style;

	style->bodyfontsize=short2pt(StyleBodyFontSize);
	STRCopy(StyleFontRoman	   ,style->fonts[ROMAN-1]);
	STRCopy(StyleFontBold	   ,style->fonts[BOLD-1]);
	STRCopy(StyleFontItalic    ,style->fonts[ITALIC-1]);
	STRCopy(StyleFontBoldItalic,style->fonts[BOLDITALIC-1]);
	STRCopy(StyleFontTypeWriter,style->fonts[TYPEWRITER-1]);

	style->p_indentation=	StylePIndentation;
	style->p_distance=		StylePDistance;

	style->h1.font= 		StyleH1Font;
	style->h1.fontsize= 	StyleH1FontSize;
	style->h1.space_above=	StyleH1SpaceAbove;
	style->h1.space_below=	StyleH1SpaceBelow;
	style->h1.indentation=	StyleH1Indentation;

	style->h2.font= 		StyleH2Font;
	style->h2.fontsize= 	StyleH2FontSize;
	style->h2.space_above=	StyleH2SpaceAbove;
	style->h2.space_below=	StyleH2SpaceBelow;
	style->h2.indentation=	StyleH2Indentation;

	style->h3.font= 		StyleH3Font;
	style->h3.fontsize= 	StyleH3FontSize;
	style->h3.space_above=	StyleH3SpaceAbove;
	style->h3.space_below=	StyleH3SpaceBelow;
	style->h3.indentation=	StyleH3Indentation;

	style->h4.font= 		StyleH4Font;
	style->h4.fontsize= 	StyleH4FontSize;
	style->h4.space_above=	StyleH4SpaceAbove;
	style->h4.space_below=	StyleH4SpaceBelow;
	style->h4.indentation=	StyleH4Indentation;

	style->h5.font= 		StyleH5Font;
	style->h5.fontsize= 	StyleH5FontSize;
	style->h5.space_above=	StyleH5SpaceAbove;
	style->h5.space_below=	StyleH5SpaceBelow;
	style->h5.indentation=	StyleH5Indentation;

	style->h6.font= 		StyleH6Font;
	style->h6.fontsize= 	StyleH6FontSize;
	style->h6.space_above=	StyleH6SpaceAbove;
	style->h6.space_below=	StyleH6SpaceBelow;
	style->h6.indentation=	StyleH6Indentation;

	style->h7.font= 		StyleH7Font;
	style->h7.fontsize= 	StyleH7FontSize;
	style->h7.space_above=	StyleH7SpaceAbove;
	style->h7.space_below=	StyleH7SpaceBelow;
	style->h7.indentation=	StyleH7Indentation;

	style->bq_font= 		ITALIC;
	style->bq_marginleft =	200;
	style->bq_marginright=	200;

	STRCopy(StyleBullet,style->bullet);
	style->lh_fontsize= 	114;
	style->lh_font= 		BOLDITALIC;
	style->dl_term_font=	ITALIC;
	style->dl_spacing_horizontal=50;
	style->dl_spacing_vertical=40;
	style->dl_indentation=	200;

	style->line_space=		StyleLineSpace;
	style->line_thickness=	StyleLineThickness;

	return err;
}
