#ifndef _READER_STYLE_H
#define _READER_STYLE_H
/*
	ProWesS reader - a HTML file browser

	PROforma, PROGS Font & Raster Manager
	ProWesS, PROGS Windowing System

	(c) PROGS, Professional & Graphical Software
	written by Joachim Van der Auwera
	started 27 November 1995
*/

#include "PROforma_h"

typedef short FontStyle;
#define PREVIOUS	0
#define ROMAN		1
#define BOLD		2
#define ITALIC		3
#define BOLDITALIC	4
#define TYPEWRITER	5
#define MAX_FONTSTYLE 5
#define MAXBULLET	20

typedef struct {
	FontStyle font;
	short space_above, space_below; /* space above and below header */
	short indentation;				/* style for headers */
	short fontsize; 				/* factor for fontsize */
	char centered;					/* TRUE when centered */
	char underline; 				/* TRUE when underlined */
	} style_h;

typedef struct {
	/* body font and size - all other distances/sizes are percentages of */
	/* bodyfontsize - this makes changing the bodyfontsize rather global */

	/* only five fonts are used in the stylepages - the roman (bodyfont) */
	/* and its Bold, Italic Bold Italic variants, and a monospaced font */

	char fonts[MAX_FONTSTYLE][PF_MAXFONTNAME];
	pt bodyfontsize;				/* size for body font */

	/* paragraph break */
	short p_indentation;			/* indentation for first line */
	short p_distance;				/* extra vertcal spacing for paragraphs */

	/* headers */
	style_h h1,h2,h3,h4,h5,h6,h7;	/* style for the headers */

	/* blockquote handling */
	FontStyle bq_font;
	short bq_marginleft;
	short bq_marginright;

	/* lists (unordered, ordered and definition) */
	char bullet[MAXBULLET]; 		/* bullet character */
	short lh_fontsize;				/* fontsize for list header */
	FontStyle lh_font;				/* font for list header */
	FontStyle dl_term_font; 		/* font for term in definition list */
	short dl_spacing_horizontal;	/* spacing between term and definition */
	short dl_spacing_vertical;		/* spacing between terms */
	short dl_indentation;			/* indentation for definition */

	short line_space;				/* space above and below separator lines */
	short line_thickness;			/* thickness of separator lines */

	/* ..... */
} Style;

StyleCreate(Style **ret);

#endif _READER_STYLE_H
